FreeMat

- Main Page
- Related Pages

vtkStructuredData

Section: Visualization Toolkit Common Classes

# Usage

vtkStructuredData is an abstract class that specifies an interface for topologically regular data. Regular data is data that can be accessed in rectangular fashion using an i-j-k index. A finite difference grid, a volume, or a pixmap are all considered regular.

To create an instance of class vtkStructuredData, simply invoke its constructor as follows

      obj = vtkStructuredData

# Methods

The class vtkStructuredData has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkStructuredData class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkStructuredData = obj.NewInstance ()`
- `vtkStructuredData = obj.SafeDownCast (vtkObject o)`